/* =========================
   GLOBAL
========================= */

:root{
    --primary:#2B2B2B;
    --secondary:#DFCDA8;   /* Coklat Cream */
    --light:#D9D9D9;       /* Abu Abu */
    --dark:#1F1F1F;
    --text:#2B2B2B;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Poppins',sans-serif;
    background:#ffffff
}

a{
    text-decoration:none;
}

img{
    max-width:100%;
    display:block;
}

section{
    background: #ffffff;
    padding:80px 8%;
}

h1,h2,h3,h4{
    font-family:'Cormorant Garamond', serif;;
}

h2{
    text-align:center;
    margin-bottom:40px;
    font-size:3rem;
    color:var(--primary);
}

/* =========================
   HEADER
========================= */

header{
    position:fixed;
    top:0;
    left:0;
    width:100%;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:20px 8%;

    background:transparent;

    transition:.4s;

    z-index:1000;
}

header.scrolled{

    background:rgba(255,255,255,.95);

    backdrop-filter:blur(20px);

    box-shadow:0 5px 20px rgba(0,0,0,.08);

}

header.scrolled .logo span{

    color:#000;

}

header.scrolled .logo img{

    filter:none;

}

header.scrolled nav a{

    color:#000;

}

header.scrolled nav a:hover{

    color:#8B6B43;

}

.logo{
    display:flex;
    align-items:center;
    gap:10px;
}

.logo img{
    width:80px;
    height:80px;
    object-fit:contain;
    filter:brightness(0) invert(1);
}

.logo span{
    font-family:'Playfair Display', serif;
    font-size:1.8rem;
    font-weight:600;

    color:#fff;

    transition:.35s;
}

nav{
    display:flex;
    gap:25px;
}

nav a{

    color:#fff;

    letter-spacing:1px;

    transition:.35s;

}

nav a:hover{

    color:#DFCDA8;

}
.nav-right{
    display:flex;
    align-items:center;
    gap:20px;
}

nav{
    display:flex;
    gap:25px;
}

/* =========================
   HERO
========================= */

.hero{
    position: relative;
    min-height:100vh;
    margin-top:0;

    background-image:
    linear-gradient(
        rgba(0,0,0,.25),
        rgba(0,0,0,.45)
    ),
    url("images/suasana4.jpg");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    display:flex;
    justify-content:center;
    align-items:center;

    text-align:center;
    color:white;
}

.hero-content{
    max-width:700px;
    animation:fadeUp 1s ease;
}

@keyframes fadeUp{
    from{
        opacity:0;
        transform:translateY(30px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}

.hero-content h1{
    font-family: 'Cormorant Garamond', serif;;
    font-size:5rem;
    line-height:1.1;
    font-weight:400;
    margin-bottom:20px;
    text-shadow: 0 3px 15px rgba(0,0,0,.3);
}

.hero h1{
    color:white;
    text-shadow:
    0 5px 20px rgba(0,0,0,.45);

}

.hero p{
    color:white;
    text-shadow:white;

}

.hero-content p{
    font-size:1.1rem;
    margin-bottom:30px;
}

.hero-buttons{
    display:flex;
    justify-content:center;
    gap:15px;
}

.hero-subtitle{
    font-size:1.3rem;
    max-width:700px;
    margin:0 auto 40px;
    color:rgba(255,255,255,.9);
    line-height: 1.7;
    text-shadow: 0 2px 10px rgba(0,0,0,.3);
}

.hero{
    position:relative;
}

.hero::before{

    content:"";
    position:absolute;
    inset:0;
    background:rgba(0,0,0,.45);
    z-index:1;

}

.hero>*{

    position:relative;

    z-index:2;

}

/* =========================
   BUTTONS
========================= */

.btn-primary,
.btn-secondary{
    border-radius:50px;
    padding:14px 32px;
}


.btn-primary{
    background:#ffffff;
    color:#2B2B2B;
    font-weight:600;
}

.btn-primary:hover{
    transform:translateY(-3px);
    opacity:.9;
}

.btn-secondary{
    border:1px solid rgba(255,255,255,.7);
    color:white;
    background:transparent;
}

/* =========================
   MENU
========================= */

.menu{
    background:white;
}

.menu-tabs{
    display:flex;
    justify-content:center;
    gap:10px;
    margin-bottom:30px;
    flex-wrap:wrap;
}

.tab-btn{
    border:none;
    padding:10px 20px;
    border-radius:30px;
    cursor:pointer;
    background:#ddd;
    transition:0.3s;
}

.tab-btn.active{
    background:#2B2B2B;
    color:white;
}

.menu-wrapper{
    display:flex;
    align-items:center;
    gap:15px;
}

.menu-items{
    display:flex;
    gap:20px;
    overflow-x:auto;
    scroll-behavior:smooth;
    width:100%;
}

.menu-items::-webkit-scrollbar{
    display:none;
}

.item{
    border:1px solid rgba(0,0,0,.05);
    min-width:280px;
    background:white;
    border-radius:20px;
    overflow:hidden;

    box-shadow:
    0 15px 35px rgba(0,0,0,.08);

    transition:.4s;
}

.item:hover{
    transform:translateY(-10px);
}

.item img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.item h3{
    padding:15px 15px 5px;
}

.item p{
    padding:0 15px 15px;
    color:#666;
}

.nav{
    border:none;
    width:45px;
    height:45px;
    border-radius:50%;
   background:#2B2B2B;
    color:white;
    cursor:pointer;
}

/* =========================
   ABOUT
========================= */

.about{
    background:#ffffff;
}

.about-container{
    display:flex;
    justify-content: space-between;
    align-items:center;
    gap:80px;
}

.about-text h2{
    font-size:3rem;
    line-height:1.2;
    margin-bottom:30px;
}

.about-text p{
    font-size:1rem;
    line-height:1.8;
    margin-bottom:25px;
}



.about-video{
    flex:.9;
}



.video-slider{

    width:180px;
    height:320px;


    margin:auto;

    overflow:hidden;

    position:relative;

}

.video-slider::-webkit-scrollbar{
    display:none;
}

.video-slider video{

    position:absolute;

    top:0;
    left:0;

    width:100%;
    height:100%;

    object-fit:cover;

    border:4px solid #222;
    border-radius:15px;

    display:none;

}

.video-slider video.active{

    display:block;

}

.video-controls{
    margin-top:20px;

    display:flex;
    justify-content:center;
    align-items:center;

    gap:30px;
}

.video-controls button{
    border:none;
    background:none;

    font-size:25px;

    cursor:pointer;
}

.dots{
    display:flex;
    gap:10px;
}

.dots span{
    width:12px;
    height:12px;

    background:#ccc;

    border-radius:50%;
}

.dots .active{
    background:#D4AF37;
}

@media(max-width:768px){

.about-container{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:40px;
    flex-wrap:wrap;
}

.about-content{
    display:flex;
    align-items:center;
    gap:60px;
}

.about-text{
    flex:1;
    max-width:700px;
}

}

.about-video{
    flex:1;
    display:flex;
    flex-direction:column;
    align-items:center;
}

.about-text h2{
    text-align:center;
    font-size:2.5rem;
}

.about-text p{
    font-size:1.05rem;
    line-height:1.9;
    margin-bottom:35px;
}

.about-line{

    width:70px;

    height:4px;

    background:#DFCDA8;

    margin-bottom:35px;

    border-radius:20px;

}

.about-title{
    text-align:left;
    font-size:4rem;
    line-height:1.1;
    margin-bottom:35px;
}

/* =========================
   FILOSOFI
========================= */

.filosofi-title{
    text-align:center;
    font-size:2.5rem;
    margin:60px 0 40px;
    color:#2B2B2B;
}

.filosofi-wrapper{
    position:relative;
    max-width:1200px;
    margin:auto;
}

.filosofi-slider{

    display:flex;
    gap:20px;

    overflow-x:auto;
    scroll-behavior:smooth;

    padding:20px 70px;

}

.filosofi-slider::-webkit-scrollbar{
    display:none;
}

.filosofi-card{

    min-width:240px;
    max-width:240px;

    height:340px;

    flex-shrink:0;

    background:#fff;

    border-radius:20px;

    padding:25px;

    text-align:center;

    border:1px solid #eee;

    box-shadow:0 8px 20px rgba(0,0,0,.06);

    transition:.3s;

}

.filosofi-card:hover{

    transform:translateY(-8px);

    box-shadow:0 18px 35px rgba(0,0,0,.1);

}

.filosofi-card .icon-logo{

    width:80px;
    height:80px;

    object-fit:contain;

    margin:0 auto 15px;

}

.filosofi-card h4{

    font-size:1.1rem;

    margin-bottom:15px;

    color:#2B2B2B;

}

.filosofi-card p{

    font-size:.9rem;

    line-height:1.7;

    color:#555;

}

/* =========================
   BUTTON
========================= */

.filosofi-btn{

    position:absolute;

    top:50%;
    transform:translateY(-50%);

    width:60px;
    height:60px;

    border:none;
    border-radius:50%;

    background:#fff;

    box-shadow:0 8px 20px rgba(0,0,0,.12);

    cursor:pointer;

    z-index:100;

    font-size:28px;

    transition:.3s;

}

.filosofi-btn.left{

    left:10px;

}

.filosofi-btn.right{

    right:10px;

}

.filosofi-btn:hover{

    background:#f5f5f5;

    transform:translateY(-50%) scale(1.05);

}

/* =========================
   MOBILE
========================= */

@media(max-width:768px){

    .filosofi-title{

        font-size:2rem;

    }

    .filosofi-slider{

        padding:20px 35px;

        gap:15px;

    }

    .filosofi-card{

        min-width:220px;
        max-width:220px;

        height:300px;

        padding:20px;

    }

    .filosofi-card .icon-logo{

        width:70px;
        height:70px;

    }

    .filosofi-card h4{

        font-size:1rem;

    }

    .filosofi-card p{

        font-size:.85rem;

    }

    .filosofi-btn{

        width:50px;
        height:50px;

        font-size:22px;

    }

}

/* =========================
   LIGHTBOX
========================= */

.lightbox{
    display:none;
    position:fixed;
    inset:0;
    background:rgba(0,0,0,0.9);
    justify-content:center;
    align-items:center;
    z-index:9999;
}

.lightbox img{
    max-width:90%;
    max-height:90%;
}

/* =========================
   FOOTER
========================= */

.footer{

background:#fff;

padding:100px 8% 50px;

}

.footer-title{

text-align:center;

font-size:3rem;

margin-bottom:50px;

}

.footer-container{

display:grid;

grid-template-columns:1fr 1fr;

gap:40px;

margin-bottom:50px;

}

.footer-left,
.footer-right{

background:#fafafa;

border-radius:25px;

padding:35px;

border:1px solid #eee;

box-shadow:0 15px 35px rgba(0,0,0,.06);

}

.footer-brand{

display:flex;

align-items:center;

gap:20px;

margin-bottom:25px;

}

.footer-brand img{

width:70px;

}

.footer-brand h3{

font-size:2rem;

margin-bottom:5px;

}

.footer-brand p{

color:#888;

font-size:.9rem;

}

.alamat{

margin-bottom:25px;

line-height:1.8;

}

.map-container{

overflow:hidden;

border-radius:20px;

border:2px solid #DFCDA8;

}

.map-container iframe{

width:100%;

height:280px;

border:0;

}

.footer-right h3{

font-size:2rem;

margin-bottom:20px;

}

.contact-item{

display:flex;

justify-content:space-between;

align-items:center;

padding:20px 0;

border-bottom:1px solid #eee;

color:#2B2B2B;

transition:.3s;

}

.contact-item:hover{

transform:translateX(10px);

}

.contact-left{

display:flex;

align-items:center;

gap:20px;

}

.contact-left i{

font-size:38px;

width:45px;

text-align:center;

}

.fa-whatsapp{

color:#25D366;

}

.fa-instagram{

color:#E4405F;

}

.fa-envelope{

color:#EA4335;

}

.fa-bowl-food{

color:#E53935;

}

.fa-bag-shopping{

color:#00B14F;

}

.contact-item h4{

font-size:1.2rem;

margin-bottom:5px;

}

.contact-item small{

color:#777;

font-size:.9rem;

}

.contact-item span{

font-size:35px;

color:#A67C52;

transition:.3s;

}

.contact-item:hover span{

transform:translateX(5px);

}

.footer-bottom{

border-top:1px solid #eee;

padding-top:30px;

display:flex;

justify-content:center;

align-items:center;

gap:20px;

flex-direction:column;

}

.footer-bottom img{

width:60px;

opacity:.9;

}

.footer-bottom p{

color:#777;

font-size:.95rem;

}

@media(max-width:768px){

.footer{

padding:80px 5%;

}

.footer-title{

font-size:2.3rem;

}

.footer-container{

grid-template-columns:1fr;

}

.footer-brand{

flex-direction:column;

text-align:center;

}

.contact-left{

gap:15px;

}

.contact-left i{

font-size:30px;

}

.contact-item h4{

font-size:1rem;

}

.contact-item small{

font-size:.8rem;

}

}

/* =========================
   ANIMATION
========================= */

.fade-in{
    opacity:0;
    transform:translateY(30px);
    transition:0.8s;
}

.fade-in.show{
    opacity:1;
    transform:translateY(0);
}

/* =========================
   RESPONSIVE
========================= */

@media(max-width:768px){

    nav{
        flex-wrap:wrap;
        justify-content:center;
    }

    .hero-content h1{
        font-size:2.5rem;
    }

    .hero-buttons{
        flex-direction:column;
    }

    .about-bottom{
        flex-direction:column;
    }

    .footer-container{
        flex-direction:column;
    }

    .menu-wrapper{
        flex-direction:column;
    }

    .nav{
        display:none;
    }
}


nav a{
    letter-spacing:1px;
}

.contact-item:hover{
    transform:translateX(8px);
}

/* =========================
   REVIEW SECTION
========================= */

.reviews{
    padding:100px 8%;
    background:#fff;
    position:relative;
}

.reviews h2{
    text-align:center;
    font-size:3rem;
    margin-bottom:60px;
}

.review-wrapper{
    position:relative;
}

.review-slider{

    display:flex;
    gap:25px;

    overflow-x:auto;
    scroll-behavior:smooth;

    padding:10px;

}

.review-slider::-webkit-scrollbar{
    display:none;
}

.review-card{

    width:280px;
    height:420px;

    background:#ECECEC;

    border:1px solid #ddd;
    border-radius:20px;

    padding:25px;

    flex-shrink:0;

    display:flex;
    flex-direction:column;

    box-shadow:
    0 10px 25px rgba(0,0,0,.08);

    transition:.3s;

}

.review-card:hover{

    transform:translateY(-8px);

    box-shadow:
    0 20px 35px rgba(0,0,0,.12);

}

.review-stars{

    text-align:center;

    font-size:24px;

    color:#F5C542;

    margin-bottom:20px;

}

.review-text{

    flex:1;

    overflow-y:auto;

    text-align:center;

    line-height:1.7;

    font-size:.9rem;

    color:#333;

    padding:0 5px;

}

.review-text::-webkit-scrollbar{

    width:4px;

}

.review-text::-webkit-scrollbar-thumb{

    background:#ccc;

    border-radius:20px;

}

.review-name{

    margin-top:20px;

    text-align:center;

    font-size:1rem;

    font-weight:600;

    color:#2B2B2B;

}

.slider-btn{

    position:absolute;

    top:50%;
    transform:translateY(-50%);

    width:60px;
    height:60px;

    border:none;
    border-radius:50%;

    background:white;

    color:#2B2B2B;

    font-size:32px;

    cursor:pointer;

    box-shadow:
    0 8px 20px rgba(0,0,0,.15);

    transition:.3s;

    z-index:10;

}

.slider-btn:hover{

    background:#DFCDA8;

    color:white;

    transform:
    translateY(-50%)
    scale(1.08);

}

.slider-btn.left{

    left:-30px;

}

.slider-btn.right{

    right:-30px;

}

.review-popup{

    display:none;

    position:fixed;

    inset:0;

    background:rgba(0,0,0,.6);

    justify-content:center;
    align-items:center;

    z-index:9999;

}

.popup-content{

    width:90%;
    max-width:600px;

    background:white;

    padding:40px;

    border-radius:20px;

    position:relative;

    text-align:center;

}

.popup-content h3{

    font-size:2rem;

    margin-bottom:20px;

}

.popup-content p{

    line-height:1.8;

}

.close-popup{

    position:absolute;

    top:15px;
    right:20px;

    font-size:35px;

    cursor:pointer;

}

@media(max-width:768px){

    .review-card{

        width:250px;
        height:400px;

    }

    .slider-btn{

        width:50px;
        height:50px;

        font-size:24px;

    }

    .slider-btn.left{

        left:-15px;

    }

    .slider-btn.right{

        right:-15px;

    }

}

/* =========================
   GALLERY
========================= */

.gallery{
    background:#fff;
}

.gallery h2{
    margin-bottom:15px;
}

.gallery-subtitle{
    text-align:center;
    margin-bottom:50px;
    color:#666;
    font-size:1.1rem;
}

.gallery-container{
    position:relative;
}

.gallery-slider{

    display:flex;

    gap:25px;

    overflow-x:auto;

    scroll-behavior:smooth;

    padding:15px;

}

.gallery-slider::-webkit-scrollbar{
    display:none;
}

.gallery-slider img{

    width:320px;

    height:430px;

    object-fit:cover;

    border-radius:20px;

    flex-shrink:0;

    cursor:pointer;

    transition:.4s;

    filter:brightness(.95);

}

.gallery-slider img:hover{

    transform:scale(1.05);

    filter:brightness(1);

    box-shadow:
    0 20px 35px rgba(0,0,0,.2);

}

.gallery-nav{

    position:absolute;

    top:50%;

    transform:translateY(-50%);

    width:60px;

    height:60px;

    border:none;

    border-radius:50%;

    background:white;

    box-shadow:
    0 10px 25px rgba(0,0,0,.15);

    font-size:1.5rem;

    cursor:pointer;

    z-index:10;

    transition:.3s;

}

.gallery-nav:hover{

    transform:
    translateY(-50%)
    scale(1.1);

}

.gallery-nav.left{
    left:-30px;
}

.gallery-nav.right{
    right:-30px;
}

@media(max-width:768px){

.gallery-slider img{

width:250px;

height:340px;

}

.gallery-nav{

display:none;

}

}

.language-switch{

display:flex;

align-items:center;

gap:8px;

margin-left:20px;

font-size:1rem;

font-weight:600;

color:white;

}

.language-switch span{

cursor:pointer;

transition:.3s;

}

.language-switch span:hover{

transform:scale(1.2);

color:#DFCDA8;

}

header.scrolled .language-switch{

color:#2B2B2B;

}

/* LANGUAGE BUTTON */

.lang-btn{

margin-left:20px;

padding:8px 18px;

border:none;

border-radius:30px;

cursor:pointer;

background:#DFCDA8;

color:#2B2B2B;

font-weight:600;

font-family:Poppins;

transition:.3s;

}

.lang-btn:hover{

transform:translateY(-2px);

opacity:.9;

}

header.scrolled .lang-btn{

background:#2B2B2B;

color:white;

}

@media(max-width:768px){

.lang-btn{

margin-top:10px;

}

}

html,body{
    overflow-x:hidden;
}

@media (max-width:768px){

header{
    padding:15px 5%;
    flex-direction:column;
    gap:10px;
}

.logo img{
    width:45px;
    height:45px;
}

.logo span{
    font-size:1.3rem;
}

.nav-right{
    width:100%;
    justify-content:center;
}

nav{
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:12px;
}

nav a{
    font-size:.9rem;
}

.language-switch{
    margin-left:0;
    font-size:.9rem;
}

}